package com.sun.jersey.samples.ejb;

import javax.ejb.Stateless;
import javax.interceptor.Interceptors;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.UriInfo;

// This is a hack
// Need to register an instance InjectionInterceptor with
// the EJB container to apply to all session/singleton beans.
@Interceptors(EJBIntegrationServlet.InjectionInterceptor.class)
@Stateless
@Path("books")
public class BookResource {

    @Context private UriInfo fieldUi;

    @GET
    public String get() {
        return "GET: " + fieldUi.getRequestUri().toASCIIString();
    }
}